#ifndef HEX_H
#define HEX_H

#include "gpu.h"

typedef struct GPUHexContextStruct {
  mat4 proj;
  mat4 view;
} GPUHexContext;

typedef struct HexPushConstantStruct {
  VkDeviceAddress context;
  double time;
} HexPushConstant;

VkResult create_hex_pipeline(
  VkDevice device,
  VkRenderPass render_pass,
  GraphicsPipeline* graphics,
  ComputePipeline* compute);

#endif
